Skip to main content
PUT
/
time-off
/
{requestId}
/
decline
Decline a time off request
curl --request PUT \
  --url https://api.readmin.app/time-off/{requestId}/decline \
  --header 'Content-Type: application/json' \
  --header 'loader-id: <api-key>' \
  --data '
{
  "actorId": "<string>",
  "note": "<string>"
}
'
{
  "success": true,
  "request": {
    "groupId": "<string>",
    "userId": "<string>",
    "reason": "<string>",
    "starts": "2023-11-07T05:31:56Z",
    "ends": "2023-11-07T05:31:56Z",
    "created": "2023-11-07T05:31:56Z",
    "_id": "<string>",
    "teamId": "<string>",
    "reviewedBy": "<string>",
    "reviewNote": "<string>",
    "reviewedAt": "2023-11-07T05:31:56Z",
    "approvalChain": [
      {
        "index": 123,
        "label": "<string>",
        "type": "<string>",
        "approverIds": [
          "<string>"
        ],
        "decidedBy": "<string>",
        "decidedAt": "2023-11-07T05:31:56Z",
        "note": "<string>"
      }
    ],
    "currentStepIndex": 123,
    "currentApproverIds": [
      "<string>"
    ]
  }
}

Authorizations

loader-id
string
header
required

Path Parameters

requestId
string
required

Body

application/json
actorId
string
required

Roblox id of the reviewer

note
string

Optional review note

Response

Successful operation

success
boolean
request
object